// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from tuw_multi_robot_msgs:msg/RoutePrecondition.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "tuw_multi_robot_msgs/msg/route_precondition.h"


#ifndef TUW_MULTI_ROBOT_MSGS__MSG__DETAIL__ROUTE_PRECONDITION__STRUCT_H_
#define TUW_MULTI_ROBOT_MSGS__MSG__DETAIL__ROUTE_PRECONDITION__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'robot_id'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/RoutePrecondition in the package tuw_multi_robot_msgs.
/**
  * Route Preconditions are used to sync robots on a route
  * e.g.: Each robot publishes its current step of its route
  * with such a message
  * The specific segments of a route are marked with such
  * preconditions to block a robot from entering a segment
  * until the sync message of the other robot has the right
  * route_segment_nr
 */
typedef struct tuw_multi_robot_msgs__msg__RoutePrecondition
{
  /// the robot name for the precondition
  rosidl_runtime_c__String robot_id;
  /// the segment nr of the route executed by the given robot
  int32_t current_route_segment;
} tuw_multi_robot_msgs__msg__RoutePrecondition;

// Struct for a sequence of tuw_multi_robot_msgs__msg__RoutePrecondition.
typedef struct tuw_multi_robot_msgs__msg__RoutePrecondition__Sequence
{
  tuw_multi_robot_msgs__msg__RoutePrecondition * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} tuw_multi_robot_msgs__msg__RoutePrecondition__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // TUW_MULTI_ROBOT_MSGS__MSG__DETAIL__ROUTE_PRECONDITION__STRUCT_H_
