// generated from rosidl_generator_c/resource/idl__functions.c.em
// with input from tuw_multi_robot_msgs:msg/RobotInfo.idl
// generated code does not contain a copyright notice
#include "tuw_multi_robot_msgs/msg/detail/robot_info__functions.h"

#include <assert.h>
#include <stdbool.h>
#include <stdlib.h>
#include <string.h>

#include "rcutils/allocator.h"


// Include directives for member types
// Member `header`
#include "std_msgs/msg/detail/header__functions.h"
// Member `robot_name`
#include "rosidl_runtime_c/string_functions.h"
// Member `pose`
#include "geometry_msgs/msg/detail/pose_with_covariance__functions.h"
// Member `shape_variables`
#include "rosidl_runtime_c/primitives_sequence_functions.h"
// Member `sync`
#include "tuw_multi_robot_msgs/msg/detail/route_precondition__functions.h"

bool
tuw_multi_robot_msgs__msg__RobotInfo__init(tuw_multi_robot_msgs__msg__RobotInfo * msg)
{
  if (!msg) {
    return false;
  }
  // header
  if (!std_msgs__msg__Header__init(&msg->header)) {
    tuw_multi_robot_msgs__msg__RobotInfo__fini(msg);
    return false;
  }
  // robot_name
  if (!rosidl_runtime_c__String__init(&msg->robot_name)) {
    tuw_multi_robot_msgs__msg__RobotInfo__fini(msg);
    return false;
  }
  // pose
  if (!geometry_msgs__msg__PoseWithCovariance__init(&msg->pose)) {
    tuw_multi_robot_msgs__msg__RobotInfo__fini(msg);
    return false;
  }
  // shape
  // shape_variables
  if (!rosidl_runtime_c__float__Sequence__init(&msg->shape_variables, 0)) {
    tuw_multi_robot_msgs__msg__RobotInfo__fini(msg);
    return false;
  }
  // sync
  if (!tuw_multi_robot_msgs__msg__RoutePrecondition__init(&msg->sync)) {
    tuw_multi_robot_msgs__msg__RobotInfo__fini(msg);
    return false;
  }
  // mode
  // status
  // good_id
  // order_id
  // order_status
  return true;
}

void
tuw_multi_robot_msgs__msg__RobotInfo__fini(tuw_multi_robot_msgs__msg__RobotInfo * msg)
{
  if (!msg) {
    return;
  }
  // header
  std_msgs__msg__Header__fini(&msg->header);
  // robot_name
  rosidl_runtime_c__String__fini(&msg->robot_name);
  // pose
  geometry_msgs__msg__PoseWithCovariance__fini(&msg->pose);
  // shape
  // shape_variables
  rosidl_runtime_c__float__Sequence__fini(&msg->shape_variables);
  // sync
  tuw_multi_robot_msgs__msg__RoutePrecondition__fini(&msg->sync);
  // mode
  // status
  // good_id
  // order_id
  // order_status
}

bool
tuw_multi_robot_msgs__msg__RobotInfo__are_equal(const tuw_multi_robot_msgs__msg__RobotInfo * lhs, const tuw_multi_robot_msgs__msg__RobotInfo * rhs)
{
  if (!lhs || !rhs) {
    return false;
  }
  // header
  if (!std_msgs__msg__Header__are_equal(
      &(lhs->header), &(rhs->header)))
  {
    return false;
  }
  // robot_name
  if (!rosidl_runtime_c__String__are_equal(
      &(lhs->robot_name), &(rhs->robot_name)))
  {
    return false;
  }
  // pose
  if (!geometry_msgs__msg__PoseWithCovariance__are_equal(
      &(lhs->pose), &(rhs->pose)))
  {
    return false;
  }
  // shape
  if (lhs->shape != rhs->shape) {
    return false;
  }
  // shape_variables
  if (!rosidl_runtime_c__float__Sequence__are_equal(
      &(lhs->shape_variables), &(rhs->shape_variables)))
  {
    return false;
  }
  // sync
  if (!tuw_multi_robot_msgs__msg__RoutePrecondition__are_equal(
      &(lhs->sync), &(rhs->sync)))
  {
    return false;
  }
  // mode
  if (lhs->mode != rhs->mode) {
    return false;
  }
  // status
  if (lhs->status != rhs->status) {
    return false;
  }
  // good_id
  if (lhs->good_id != rhs->good_id) {
    return false;
  }
  // order_id
  if (lhs->order_id != rhs->order_id) {
    return false;
  }
  // order_status
  if (lhs->order_status != rhs->order_status) {
    return false;
  }
  return true;
}

bool
tuw_multi_robot_msgs__msg__RobotInfo__copy(
  const tuw_multi_robot_msgs__msg__RobotInfo * input,
  tuw_multi_robot_msgs__msg__RobotInfo * output)
{
  if (!input || !output) {
    return false;
  }
  // header
  if (!std_msgs__msg__Header__copy(
      &(input->header), &(output->header)))
  {
    return false;
  }
  // robot_name
  if (!rosidl_runtime_c__String__copy(
      &(input->robot_name), &(output->robot_name)))
  {
    return false;
  }
  // pose
  if (!geometry_msgs__msg__PoseWithCovariance__copy(
      &(input->pose), &(output->pose)))
  {
    return false;
  }
  // shape
  output->shape = input->shape;
  // shape_variables
  if (!rosidl_runtime_c__float__Sequence__copy(
      &(input->shape_variables), &(output->shape_variables)))
  {
    return false;
  }
  // sync
  if (!tuw_multi_robot_msgs__msg__RoutePrecondition__copy(
      &(input->sync), &(output->sync)))
  {
    return false;
  }
  // mode
  output->mode = input->mode;
  // status
  output->status = input->status;
  // good_id
  output->good_id = input->good_id;
  // order_id
  output->order_id = input->order_id;
  // order_status
  output->order_status = input->order_status;
  return true;
}

tuw_multi_robot_msgs__msg__RobotInfo *
tuw_multi_robot_msgs__msg__RobotInfo__create(void)
{
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  tuw_multi_robot_msgs__msg__RobotInfo * msg = (tuw_multi_robot_msgs__msg__RobotInfo *)allocator.allocate(sizeof(tuw_multi_robot_msgs__msg__RobotInfo), allocator.state);
  if (!msg) {
    return NULL;
  }
  memset(msg, 0, sizeof(tuw_multi_robot_msgs__msg__RobotInfo));
  bool success = tuw_multi_robot_msgs__msg__RobotInfo__init(msg);
  if (!success) {
    allocator.deallocate(msg, allocator.state);
    return NULL;
  }
  return msg;
}

void
tuw_multi_robot_msgs__msg__RobotInfo__destroy(tuw_multi_robot_msgs__msg__RobotInfo * msg)
{
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  if (msg) {
    tuw_multi_robot_msgs__msg__RobotInfo__fini(msg);
  }
  allocator.deallocate(msg, allocator.state);
}


bool
tuw_multi_robot_msgs__msg__RobotInfo__Sequence__init(tuw_multi_robot_msgs__msg__RobotInfo__Sequence * array, size_t size)
{
  if (!array) {
    return false;
  }
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  tuw_multi_robot_msgs__msg__RobotInfo * data = NULL;

  if (size) {
    data = (tuw_multi_robot_msgs__msg__RobotInfo *)allocator.zero_allocate(size, sizeof(tuw_multi_robot_msgs__msg__RobotInfo), allocator.state);
    if (!data) {
      return false;
    }
    // initialize all array elements
    size_t i;
    for (i = 0; i < size; ++i) {
      bool success = tuw_multi_robot_msgs__msg__RobotInfo__init(&data[i]);
      if (!success) {
        break;
      }
    }
    if (i < size) {
      // if initialization failed finalize the already initialized array elements
      for (; i > 0; --i) {
        tuw_multi_robot_msgs__msg__RobotInfo__fini(&data[i - 1]);
      }
      allocator.deallocate(data, allocator.state);
      return false;
    }
  }
  array->data = data;
  array->size = size;
  array->capacity = size;
  return true;
}

void
tuw_multi_robot_msgs__msg__RobotInfo__Sequence__fini(tuw_multi_robot_msgs__msg__RobotInfo__Sequence * array)
{
  if (!array) {
    return;
  }
  rcutils_allocator_t allocator = rcutils_get_default_allocator();

  if (array->data) {
    // ensure that data and capacity values are consistent
    assert(array->capacity > 0);
    // finalize all array elements
    for (size_t i = 0; i < array->capacity; ++i) {
      tuw_multi_robot_msgs__msg__RobotInfo__fini(&array->data[i]);
    }
    allocator.deallocate(array->data, allocator.state);
    array->data = NULL;
    array->size = 0;
    array->capacity = 0;
  } else {
    // ensure that data, size, and capacity values are consistent
    assert(0 == array->size);
    assert(0 == array->capacity);
  }
}

tuw_multi_robot_msgs__msg__RobotInfo__Sequence *
tuw_multi_robot_msgs__msg__RobotInfo__Sequence__create(size_t size)
{
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  tuw_multi_robot_msgs__msg__RobotInfo__Sequence * array = (tuw_multi_robot_msgs__msg__RobotInfo__Sequence *)allocator.allocate(sizeof(tuw_multi_robot_msgs__msg__RobotInfo__Sequence), allocator.state);
  if (!array) {
    return NULL;
  }
  bool success = tuw_multi_robot_msgs__msg__RobotInfo__Sequence__init(array, size);
  if (!success) {
    allocator.deallocate(array, allocator.state);
    return NULL;
  }
  return array;
}

void
tuw_multi_robot_msgs__msg__RobotInfo__Sequence__destroy(tuw_multi_robot_msgs__msg__RobotInfo__Sequence * array)
{
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  if (array) {
    tuw_multi_robot_msgs__msg__RobotInfo__Sequence__fini(array);
  }
  allocator.deallocate(array, allocator.state);
}

bool
tuw_multi_robot_msgs__msg__RobotInfo__Sequence__are_equal(const tuw_multi_robot_msgs__msg__RobotInfo__Sequence * lhs, const tuw_multi_robot_msgs__msg__RobotInfo__Sequence * rhs)
{
  if (!lhs || !rhs) {
    return false;
  }
  if (lhs->size != rhs->size) {
    return false;
  }
  for (size_t i = 0; i < lhs->size; ++i) {
    if (!tuw_multi_robot_msgs__msg__RobotInfo__are_equal(&(lhs->data[i]), &(rhs->data[i]))) {
      return false;
    }
  }
  return true;
}

bool
tuw_multi_robot_msgs__msg__RobotInfo__Sequence__copy(
  const tuw_multi_robot_msgs__msg__RobotInfo__Sequence * input,
  tuw_multi_robot_msgs__msg__RobotInfo__Sequence * output)
{
  if (!input || !output) {
    return false;
  }
  if (output->capacity < input->size) {
    const size_t allocation_size =
      input->size * sizeof(tuw_multi_robot_msgs__msg__RobotInfo);
    rcutils_allocator_t allocator = rcutils_get_default_allocator();
    tuw_multi_robot_msgs__msg__RobotInfo * data =
      (tuw_multi_robot_msgs__msg__RobotInfo *)allocator.reallocate(
      output->data, allocation_size, allocator.state);
    if (!data) {
      return false;
    }
    // If reallocation succeeded, memory may or may not have been moved
    // to fulfill the allocation request, invalidating output->data.
    output->data = data;
    for (size_t i = output->capacity; i < input->size; ++i) {
      if (!tuw_multi_robot_msgs__msg__RobotInfo__init(&output->data[i])) {
        // If initialization of any new item fails, roll back
        // all previously initialized items. Existing items
        // in output are to be left unmodified.
        for (; i-- > output->capacity; ) {
          tuw_multi_robot_msgs__msg__RobotInfo__fini(&output->data[i]);
        }
        return false;
      }
    }
    output->capacity = input->size;
  }
  output->size = input->size;
  for (size_t i = 0; i < input->size; ++i) {
    if (!tuw_multi_robot_msgs__msg__RobotInfo__copy(
        &(input->data[i]), &(output->data[i])))
    {
      return false;
    }
  }
  return true;
}
