// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from tuw_multi_robot_msgs:msg/RouterStatus.idl
// generated code does not contain a copyright notice

#include "tuw_multi_robot_msgs/msg/detail/router_status__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_tuw_multi_robot_msgs
const rosidl_type_hash_t *
tuw_multi_robot_msgs__msg__RouterStatus__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x44, 0xbb, 0x17, 0x4b, 0x46, 0x9b, 0x70, 0x73,
      0xc8, 0xcb, 0x93, 0x8c, 0x64, 0x23, 0xba, 0xc9,
      0xca, 0x20, 0x2f, 0x5f, 0xac, 0x11, 0xf5, 0x5f,
      0x35, 0xea, 0x0f, 0xab, 0x86, 0x32, 0xeb, 0x0b,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char tuw_multi_robot_msgs__msg__RouterStatus__TYPE_NAME[] = "tuw_multi_robot_msgs/msg/RouterStatus";

// Define type names, field names, and default values
static char tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__id[] = "id";
static char tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__success[] = "success";
static char tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__missing_robots[] = "missing_robots";
static char tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__duration[] = "duration";
static char tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__overall_path_length[] = "overall_path_length";
static char tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__longest_path_length[] = "longest_path_length";
static char tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__priority_scheduling_attemps[] = "priority_scheduling_attemps";
static char tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__speed_scheduling_attemps[] = "speed_scheduling_attemps";

static rosidl_runtime_c__type_description__Field tuw_multi_robot_msgs__msg__RouterStatus__FIELDS[] = {
  {
    {tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__id, 2, 2},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_INT32,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__success, 7, 7},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_BOOLEAN,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__missing_robots, 14, 14},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_STRING_UNBOUNDED_SEQUENCE,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__duration, 8, 8},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_INT32,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__overall_path_length, 19, 19},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_INT32,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__longest_path_length, 19, 19},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_INT32,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__priority_scheduling_attemps, 27, 27},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_INT32,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {tuw_multi_robot_msgs__msg__RouterStatus__FIELD_NAME__speed_scheduling_attemps, 24, 24},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_INT32,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
tuw_multi_robot_msgs__msg__RouterStatus__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {tuw_multi_robot_msgs__msg__RouterStatus__TYPE_NAME, 37, 37},
      {tuw_multi_robot_msgs__msg__RouterStatus__FIELDS, 8, 8},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "#################################################################\n"
  "## A message to publish the status of the last route\n"
  "## generation\n"
  "#################################################################\n"
  "\n"
  "int32 id # the unique id of the new plan\n"
  "bool success # true if a routing table was found to the given scenario\n"
  "string[] missing_robots # if the plan fails because of absent robots, these robots are listed here\n"
  "int32 duration # the time until a routing table was found\n"
  "int32 overall_path_length # the overall path length in the routing table (calculated using weights)\n"
  "int32 longest_path_length # the longest path length in a routing table (calculated using weights)\n"
  "int32 priority_scheduling_attemps # shows how often robot priorities are exchanged\n"
  "int32 speed_scheduling_attemps # shows how many robots speed was reduced during planning";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
tuw_multi_robot_msgs__msg__RouterStatus__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {tuw_multi_robot_msgs__msg__RouterStatus__TYPE_NAME, 37, 37},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 838, 838},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
tuw_multi_robot_msgs__msg__RouterStatus__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *tuw_multi_robot_msgs__msg__RouterStatus__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
