// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from tuw_multi_robot_msgs:srv/StationManagerStationProtocol.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "tuw_multi_robot_msgs/srv/station_manager_station_protocol.h"


#ifndef TUW_MULTI_ROBOT_MSGS__SRV__DETAIL__STATION_MANAGER_STATION_PROTOCOL__STRUCT_H_
#define TUW_MULTI_ROBOT_MSGS__SRV__DETAIL__STATION_MANAGER_STATION_PROTOCOL__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Constant 'APPEND'.
/**
  * request constants
  * request to append sent station
 */
static const char * const tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Request__APPEND = "append";

/// Constant 'REMOVE'.
/**
  * request to remove sent station
 */
static const char * const tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Request__REMOVE = "remove";

// Include directives for member types
// Member 'request'
#include "rosidl_runtime_c/string.h"
// Member 'station'
#include "tuw_multi_robot_msgs/msg/detail/station__struct.h"

/// Struct defined in srv/StationManagerStationProtocol in the package tuw_multi_robot_msgs.
typedef struct tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Request
{
  /// request string
  rosidl_runtime_c__String request;
  /// station message
  tuw_multi_robot_msgs__msg__Station station;
} tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Request;

// Struct for a sequence of tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Request.
typedef struct tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Request__Sequence
{
  tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Request * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Request__Sequence;

// Constants defined in the message

/// Constant 'EXECUTED'.
/**
  * response constants
  * response if the request could be executed successful
 */
static const char * const tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Response__EXECUTED = "executed";

/// Constant 'FAILED'.
/**
  * response if the request could not be executed successful
 */
static const char * const tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Response__FAILED = "failed";

/// Constant 'ERROR'.
/**
  * response if the request is unknown
 */
static const char * const tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Response__ERROR = "error";

// Include directives for member types
// Member 'response'
// already included above
// #include "rosidl_runtime_c/string.h"

/// Struct defined in srv/StationManagerStationProtocol in the package tuw_multi_robot_msgs.
typedef struct tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Response
{
  /// response string
  rosidl_runtime_c__String response;
} tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Response;

// Struct for a sequence of tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Response.
typedef struct tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Response__Sequence
{
  tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Response * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Response__Sequence;

// Constants defined in the message

// Include directives for member types
// Member 'info'
#include "service_msgs/msg/detail/service_event_info__struct.h"

// constants for array fields with an upper bound
// request
enum
{
  tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Event__request__MAX_SIZE = 1
};
// response
enum
{
  tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Event__response__MAX_SIZE = 1
};

/// Struct defined in srv/StationManagerStationProtocol in the package tuw_multi_robot_msgs.
typedef struct tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Event
{
  service_msgs__msg__ServiceEventInfo info;
  tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Request__Sequence request;
  tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Response__Sequence response;
} tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Event;

// Struct for a sequence of tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Event.
typedef struct tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Event__Sequence
{
  tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Event * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} tuw_multi_robot_msgs__srv__StationManagerStationProtocol_Event__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // TUW_MULTI_ROBOT_MSGS__SRV__DETAIL__STATION_MANAGER_STATION_PROTOCOL__STRUCT_H_
