// generated from rosidl_generator_cpp/resource/idl__traits.hpp.em
// with input from tuw_multi_robot_msgs:srv/StationManagerStationProtocol.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "tuw_multi_robot_msgs/srv/station_manager_station_protocol.hpp"


#ifndef TUW_MULTI_ROBOT_MSGS__SRV__DETAIL__STATION_MANAGER_STATION_PROTOCOL__TRAITS_HPP_
#define TUW_MULTI_ROBOT_MSGS__SRV__DETAIL__STATION_MANAGER_STATION_PROTOCOL__TRAITS_HPP_

#include <stdint.h>

#include <sstream>
#include <string>
#include <type_traits>

#include "tuw_multi_robot_msgs/srv/detail/station_manager_station_protocol__struct.hpp"
#include "rosidl_runtime_cpp/traits.hpp"

// Include directives for member types
// Member 'station'
#include "tuw_multi_robot_msgs/msg/detail/station__traits.hpp"

namespace tuw_multi_robot_msgs
{

namespace srv
{

inline void to_flow_style_yaml(
  const StationManagerStationProtocol_Request & msg,
  std::ostream & out)
{
  out << "{";
  // member: request
  {
    out << "request: ";
    rosidl_generator_traits::value_to_yaml(msg.request, out);
    out << ", ";
  }

  // member: station
  {
    out << "station: ";
    to_flow_style_yaml(msg.station, out);
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const StationManagerStationProtocol_Request & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: request
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "request: ";
    rosidl_generator_traits::value_to_yaml(msg.request, out);
    out << "\n";
  }

  // member: station
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "station:\n";
    to_block_style_yaml(msg.station, out, indentation + 2);
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const StationManagerStationProtocol_Request & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace tuw_multi_robot_msgs

namespace rosidl_generator_traits
{

[[deprecated("use tuw_multi_robot_msgs::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Request & msg,
  std::ostream & out, size_t indentation = 0)
{
  tuw_multi_robot_msgs::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use tuw_multi_robot_msgs::srv::to_yaml() instead")]]
inline std::string to_yaml(const tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Request & msg)
{
  return tuw_multi_robot_msgs::srv::to_yaml(msg);
}

template<>
inline const char * data_type<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Request>()
{
  return "tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Request";
}

template<>
inline const char * name<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Request>()
{
  return "tuw_multi_robot_msgs/srv/StationManagerStationProtocol_Request";
}

template<>
struct has_fixed_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Request>
  : std::integral_constant<bool, false> {};

template<>
struct has_bounded_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Request>
  : std::integral_constant<bool, false> {};

template<>
struct is_message<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Request>
  : std::true_type {};

}  // namespace rosidl_generator_traits

namespace tuw_multi_robot_msgs
{

namespace srv
{

inline void to_flow_style_yaml(
  const StationManagerStationProtocol_Response & msg,
  std::ostream & out)
{
  out << "{";
  // member: response
  {
    out << "response: ";
    rosidl_generator_traits::value_to_yaml(msg.response, out);
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const StationManagerStationProtocol_Response & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: response
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "response: ";
    rosidl_generator_traits::value_to_yaml(msg.response, out);
    out << "\n";
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const StationManagerStationProtocol_Response & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace tuw_multi_robot_msgs

namespace rosidl_generator_traits
{

[[deprecated("use tuw_multi_robot_msgs::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Response & msg,
  std::ostream & out, size_t indentation = 0)
{
  tuw_multi_robot_msgs::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use tuw_multi_robot_msgs::srv::to_yaml() instead")]]
inline std::string to_yaml(const tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Response & msg)
{
  return tuw_multi_robot_msgs::srv::to_yaml(msg);
}

template<>
inline const char * data_type<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Response>()
{
  return "tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Response";
}

template<>
inline const char * name<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Response>()
{
  return "tuw_multi_robot_msgs/srv/StationManagerStationProtocol_Response";
}

template<>
struct has_fixed_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Response>
  : std::integral_constant<bool, false> {};

template<>
struct has_bounded_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Response>
  : std::integral_constant<bool, false> {};

template<>
struct is_message<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Response>
  : std::true_type {};

}  // namespace rosidl_generator_traits

// Include directives for member types
// Member 'info'
#include "service_msgs/msg/detail/service_event_info__traits.hpp"

namespace tuw_multi_robot_msgs
{

namespace srv
{

inline void to_flow_style_yaml(
  const StationManagerStationProtocol_Event & msg,
  std::ostream & out)
{
  out << "{";
  // member: info
  {
    out << "info: ";
    to_flow_style_yaml(msg.info, out);
    out << ", ";
  }

  // member: request
  {
    if (msg.request.size() == 0) {
      out << "request: []";
    } else {
      out << "request: [";
      size_t pending_items = msg.request.size();
      for (auto item : msg.request) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
    out << ", ";
  }

  // member: response
  {
    if (msg.response.size() == 0) {
      out << "response: []";
    } else {
      out << "response: [";
      size_t pending_items = msg.response.size();
      for (auto item : msg.response) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const StationManagerStationProtocol_Event & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: info
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "info:\n";
    to_block_style_yaml(msg.info, out, indentation + 2);
  }

  // member: request
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.request.size() == 0) {
      out << "request: []\n";
    } else {
      out << "request:\n";
      for (auto item : msg.request) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }

  // member: response
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.response.size() == 0) {
      out << "response: []\n";
    } else {
      out << "response:\n";
      for (auto item : msg.response) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const StationManagerStationProtocol_Event & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace tuw_multi_robot_msgs

namespace rosidl_generator_traits
{

[[deprecated("use tuw_multi_robot_msgs::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Event & msg,
  std::ostream & out, size_t indentation = 0)
{
  tuw_multi_robot_msgs::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use tuw_multi_robot_msgs::srv::to_yaml() instead")]]
inline std::string to_yaml(const tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Event & msg)
{
  return tuw_multi_robot_msgs::srv::to_yaml(msg);
}

template<>
inline const char * data_type<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Event>()
{
  return "tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Event";
}

template<>
inline const char * name<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Event>()
{
  return "tuw_multi_robot_msgs/srv/StationManagerStationProtocol_Event";
}

template<>
struct has_fixed_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Event>
  : std::integral_constant<bool, false> {};

template<>
struct has_bounded_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Event>
  : std::integral_constant<bool, has_bounded_size<service_msgs::msg::ServiceEventInfo>::value && has_bounded_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Request>::value && has_bounded_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Response>::value> {};

template<>
struct is_message<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Event>
  : std::true_type {};

}  // namespace rosidl_generator_traits

namespace rosidl_generator_traits
{

template<>
inline const char * data_type<tuw_multi_robot_msgs::srv::StationManagerStationProtocol>()
{
  return "tuw_multi_robot_msgs::srv::StationManagerStationProtocol";
}

template<>
inline const char * name<tuw_multi_robot_msgs::srv::StationManagerStationProtocol>()
{
  return "tuw_multi_robot_msgs/srv/StationManagerStationProtocol";
}

template<>
struct has_fixed_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol>
  : std::integral_constant<
    bool,
    has_fixed_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Request>::value &&
    has_fixed_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Response>::value
  >
{
};

template<>
struct has_bounded_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol>
  : std::integral_constant<
    bool,
    has_bounded_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Request>::value &&
    has_bounded_size<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Response>::value
  >
{
};

template<>
struct is_service<tuw_multi_robot_msgs::srv::StationManagerStationProtocol>
  : std::true_type
{
};

template<>
struct is_service_request<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Request>
  : std::true_type
{
};

template<>
struct is_service_response<tuw_multi_robot_msgs::srv::StationManagerStationProtocol_Response>
  : std::true_type
{
};

}  // namespace rosidl_generator_traits

#endif  // TUW_MULTI_ROBOT_MSGS__SRV__DETAIL__STATION_MANAGER_STATION_PROTOCOL__TRAITS_HPP_
